export default CubeList;
declare class CubeList extends Mesh {
    geometry: THREE.Geometry;
    material: THREE.MeshBasicMaterial;
    objectCacher: ObjectCacher;
    updatePoints(points: any, colors: any, options?: {}): void;
    applyQuaternion(quaternion: THREE.Quaternion): CubeList;
    rotateOnAxis(axis: THREE.Vector3, angle: number): CubeList;
    rotateOnWorldAxis(axis: THREE.Vector3, angle: number): CubeList;
    rotateX(angle: number): CubeList;
    rotateY(angle: number): CubeList;
    rotateZ(angle: number): CubeList;
    translateOnAxis(axis: THREE.Vector3, distance: number): CubeList;
    translateX(distance: number): CubeList;
    translateY(distance: number): CubeList;
    translateZ(distance: number): CubeList;
    add(...object: THREE.Object3D[]): CubeList;
    remove(...object: THREE.Object3D[]): CubeList;
    attach(object: THREE.Object3D): CubeList;
    clone(recursive?: boolean | undefined): CubeList;
    copy(source: CubeList, recursive?: boolean | undefined): CubeList;
}
import Mesh from "./Mesh";
import * as THREE from "three";
import ObjectCacher from "../utils/objectCacher";
