export default SphereList;
declare class SphereList extends Mesh {
    geometry: THREE.Geometry;
    material: THREE.MeshBasicMaterial;
    objectCacher: ObjectCacher;
    updatePoints(points: any, colors: any, options?: {}): void;
    applyQuaternion(quaternion: THREE.Quaternion): SphereList;
    rotateOnAxis(axis: THREE.Vector3, angle: number): SphereList;
    rotateOnWorldAxis(axis: THREE.Vector3, angle: number): SphereList;
    rotateX(angle: number): SphereList;
    rotateY(angle: number): SphereList;
    rotateZ(angle: number): SphereList;
    translateOnAxis(axis: THREE.Vector3, distance: number): SphereList;
    translateX(distance: number): SphereList;
    translateY(distance: number): SphereList;
    translateZ(distance: number): SphereList;
    add(...object: THREE.Object3D[]): SphereList;
    remove(...object: THREE.Object3D[]): SphereList;
    attach(object: THREE.Object3D): SphereList;
    clone(recursive?: boolean | undefined): SphereList;
    copy(source: SphereList, recursive?: boolean | undefined): SphereList;
}
import Mesh from "./Mesh";
import * as THREE from "three";
import ObjectCacher from "../utils/objectCacher";
