export const OBJECT_TYPE_ARROW: "Arrow";
export const OBJECT_TYPE_ARROW_WITH_CIRCLE: "ArrowWithCircle";
export const OBJECT_TYPE_AXES: "Axes";
export const OBJECT_TYPE_FLAT_ARROW: "FlatArrow";
export const MAX_POINTCLOUD_POINTS: 5000000;
export const DEFAULT_BACKGROUND_COLOR: "#000000";
export const DEFAULT_GRID_SIZE: 30;
export const DEFAULT_GRID_DIVISIONS: 30;
export const DEFAULT_GRID_COLOR: "#222222";
export const DEFAULT_GRID_COLOR_CENTERLINE: "#333333";
export namespace INTERACTIVE_MARKER_ORIENTATION_MODES {
    export const INHERIT: number;
    export const FIXED: number;
    export const VIEW_FACING: number;
}
export const UNSUPPORTED_INTERACTIVE_MARKER_ORIENTATION_MODES: number[];
export namespace INTERACTIVE_MARKER_INTERACTION_MODES {
    export const NONE: number;
    export const MENU: number;
    export const BUTTON: number;
    export const MOVE_AXIS: number;
    export const MOVE_PLANE: number;
    export const ROTATE_AXIS: number;
    export const MOVE_ROTATE: number;
    export const MOVE_3D: number;
    export const ROTATE_3D: number;
    export const MOVE_ROTATE_3D: number;
}
export const MESSAGE_TYPE_ROBOT_MODEL: "robot_description";
export const MESSAGE_TYPE_ACCELSTAMPED: "geometry_msgs/AccelStamped";
export const MESSAGE_TYPE_POINTSTAMPED: "geometry_msgs/PointStamped";
export const MESSAGE_TYPE_POLYGONSTAMPED: "geometry_msgs/PolygonStamped";
export const MESSAGE_TYPE_POSEARRAY: "geometry_msgs/PoseArray";
export const MESSAGE_TYPE_POSECOVARIANCE: "geometry_msgs/PoseWithCovariance";
export const MESSAGE_TYPE_POSESTAMPED: "geometry_msgs/PoseStamped";
export const MESSAGE_TYPE_TWISTSTAMPED: "geometry_msgs/TwistStamped";
export const MESSAGE_TYPE_VECTOR3STAMPED: "geometry_msgs/Vector3Stamped";
export const MESSAGE_TYPE_WRENCHSTAMPED: "geometry_msgs/WrenchStamped";
export const MESSAGE_TYPE_BOUNDINGVOLUME: "moveit_msgs/BoundingVolume";
export const MESSAGE_TYPE_COLLISION_OBJECT: "moveit_msgs/CollisionObject";
export const MESSAGE_TYPE_DISPLAYROBOTSTATE: "moveit_msgs/DisplayRobotState";
export const MESSAGE_TYPE_DISPLAYTRAJECTORY: "moveit_msgs/DisplayTrajectory";
export const MESSAGE_TYPE_PLANNINGSCENE: "moveit_msgs/PlanningScene";
export const MESSAGE_TYPE_OCCUPANCYGRID: "nav_msgs/OccupancyGrid";
export const MESSAGE_TYPE_ODOMETRY: "nav_msgs/Odometry";
export const MESSAGE_TYPE_PATH: "nav_msgs/Path";
export const MESSAGE_TYPE_COMPRESSEDIMAGE: "sensor_msgs/CompressedImage";
export const MESSAGE_TYPE_DISPLAYJOINTSTATE: "sensor_msgs/JointState";
export const MESSAGE_TYPE_IMAGE: "sensor_msgs/Image";
export const MESSAGE_TYPE_LASERSCAN: "sensor_msgs/LaserScan";
export const MESSAGE_TYPE_MAGNETICFIELD: "sensor_msgs/MagneticField";
export const MESSAGE_TYPE_POINTCLOUD: "sensor_msgs/PointCloud";
export const MESSAGE_TYPE_POINTCLOUD2: "sensor_msgs/PointCloud2";
export const MESSAGE_TYPE_RANGE: "sensor_msgs/Range";
export const MESSAGE_TYPE_TF: "tf/tfMessage";
export const MESSAGE_TYPE_TF2: "tf2_msgs/TFMessage";
export const MESSAGE_TYPE_MARKER: "visualization_msgs/Marker";
export const MESSAGE_TYPE_MARKERARRAY: "visualization_msgs/MarkerArray";
export const MESSAGE_TYPE_INTERACTIVEMARKER: "visualization_msgs/InteractiveMarkerInit";
export const MESSAGE_TYPE_INTERACTIVEMARKER_UPDATE: "visualization_msgs/InteractiveMarkerUpdate";
export const MESSAGE_TYPE_INTERACTIVEMARKER_FEEDBACK: "visualization_msgs/InteractiveMarkerFeedback";
/** ***************************
 *   Visualizations
 * ************************** */
export const VIZ_TYPE_IMAGE: "Image";
export const VIZ_TYPE_INTERACTIVEMARKER: "InteractiveMarker";
export const VIZ_TYPE_LASERSCAN: "LaserScan";
export const VIZ_TYPE_MAP: "Map";
export const VIZ_TYPE_MARKER: "Marker";
export const VIZ_TYPE_MARKERARRAY: "MarkerArray";
export const VIZ_TYPE_ODOMETRY: "Odometry";
export const VIZ_TYPE_PATH: "Path";
export const VIZ_TYPE_POINT: "Point";
export const VIZ_TYPE_POINTCLOUD: "PointCloud";
export const VIZ_TYPE_POLYGON: "Polygon";
export const VIZ_TYPE_POSE: "Pose";
export const VIZ_TYPE_POSEARRAY: "PoseArray";
export const VIZ_TYPE_RANGE: "Range";
export const VIZ_TYPE_ROBOTMODEL: "RobotModel";
export const VIZ_TYPE_TF: "Tf";
export const VIZ_TYPE_WRENCH: "Wrench";
export namespace POINT_FIELD_DATATYPES {
    export const INT8: number;
    export const UINT8: number;
    export const INT16: number;
    export const UINT16: number;
    export const INT32: number;
    export const UINT32: number;
    export const FLOAT32: number;
    export const FLOAT64: number;
}
export namespace COLLISION_OBJECT_OPERATIONS {
    export const ADD: number;
    export const REMOVE: number;
    export const APPEND: number;
    export const MOVE: number;
}
export namespace SOLID_PRIMITIVE_TYPES {
    export const BOX: number;
    export const SPHERE: number;
    export const CYLINDER: number;
    export const CONE: number;
}
export namespace MARKER_OBJECT_TYPES {
    export const ARROW: number;
    export const CUBE: number;
    const SPHERE_1: number;
    export { SPHERE_1 as SPHERE };
    const CYLINDER_1: number;
    export { CYLINDER_1 as CYLINDER };
    export const LINE_STRIP: number;
    export const LINE_LIST: number;
    export const CUBE_LIST: number;
    export const SPHERE_LIST: number;
    export const POINTS: number;
    export const TEXT_VIEW_FACING: number;
    export const MESH_RESOURCE: number;
    export const TRIANGLE_LIST: number;
}
export namespace LINE_STYLES {
    export const LINES: string;
    export const BILLBOARDS: string;
}
export namespace MAP_COLOR_SCHEMES {
    export const MAP: string;
    export const CONST_MAP: string;
    export const RAW: string;
}
export namespace LASERSCAN_STYLES {
    export const SQUARES: string;
    const POINTS_1: string;
    export { POINTS_1 as POINTS };
    export const FLAT_SQUARES: string;
    export const SPHERES: string;
    export const BOXES: string;
}
export namespace COLOR_TRANSFORMERS {
    export const INTENSITY: string;
    export const AXIS_COLOR: string;
    export const FLAT_COLOR: string;
}
export namespace POINTCLOUD_COLOR_CHANNELS {
    export const RGB: string;
    const INTENSITY_1: string;
    export { INTENSITY_1 as INTENSITY };
}
export namespace AXES {
    export const X: string;
    export const Y: string;
    export const Z: string;
}
export namespace INTENSITY_CHANNEL_OPTIONS {
    const INTENSITY_2: string;
    export { INTENSITY_2 as INTENSITY };
}
export namespace ODOMETRY_OBJECT_TYPES {
    export { OBJECT_TYPE_ARROW as arrow };
    export { OBJECT_TYPE_AXES as axes };
}
export namespace POSE_OBJECT_TYPES {
    export { OBJECT_TYPE_ARROW as arrow };
    export { OBJECT_TYPE_AXES as axes };
    export { OBJECT_TYPE_FLAT_ARROW as flatArrow };
}
export namespace WRENCH_OBJECT_TYPES {
    export { OBJECT_TYPE_ARROW as arrow };
    export { OBJECT_TYPE_ARROW_WITH_CIRCLE as arrowWithCircle };
}
/** ***************************
 *   Default Options
 * ************************** */
export const DEFAULT_CYLINDER_HEIGHT: 1;
export const DEFAULT_CYLINDER_RADIUS: 1;
export const DEFAULT_RADIAL_SEGMENTS: 32;
export const DEFAULT_CONE_HEIGHT: 1;
export const DEFAULT_CONE_RADIUS: 1;
export const DEFAULT_COLOR_X_AXIS: "#ff0000";
export const DEFAULT_COLOR_Y_AXIS: "#008000";
export const DEFAULT_COLOR_Z_AXIS: "#0000ff";
export const DEFAULT_COLOR_ARROW: "#f0ff00";
export const DEFAULT_COLOR_LINE: "#f0ff00";
export namespace DEFAULT_OPTIONS_SCENE {
    export { DEFAULT_BACKGROUND_COLOR as backgroundColor };
    export { DEFAULT_GRID_SIZE as gridSize };
    export { DEFAULT_GRID_DIVISIONS as gridDivisions };
    export { DEFAULT_GRID_COLOR as gridColor };
    export { DEFAULT_GRID_COLOR_CENTERLINE as gridCenterlineColor };
}
export namespace DEFAULT_OPTIONS_TF_VIEWER {
    export const selectedFrame: string;
}
export namespace DEFAULT_OPTIONS_ARROW {
    export const shaftLength: number;
    export const shaftRadius: number;
    export const headLength: number;
    export const headRadius: number;
}
export namespace DEFAULT_OPTIONS_AXES {
    export const axesLength: number;
    export const axesRadius: number;
}
export namespace DEFAULT_OPTIONS_FLATARROW {
    export const arrowLength: number;
}
export namespace DEFAULT_OPTIONS_DISPLAYTRAJECTORY {
    export const robot: Group;
    export const loop: boolean;
}
export const DEFAULT_OPTIONS_COLLISION_OBJECT: {};
export namespace DEFAULT_OPTIONS_DEPTHCLOUD {
    import streamType = MJPEG;
    export { streamType };
    export const f: number;
    export const maxDepthPerTile: number;
    export const pointSize: number;
    export const width: number;
    export const height: number;
    export const whiteness: number;
    export const varianceThreshold: number;
}
export namespace DEFAULT_OPTIONS_IMAGE {
    export const queueSize: number;
    export const defaultWidth: number;
    export const defaultHeight: number;
    export const compression: string;
}
export namespace DEFAULT_OPTIONS_IMAGE_STREAM {
    const defaultWidth_1: number;
    export { defaultWidth_1 as defaultWidth };
    const defaultHeight_1: number;
    export { defaultHeight_1 as defaultHeight };
}
export namespace DEFAULT_OPTIONS_LASERSCAN {
    import axis = X;
    export { axis };
    export const autocomputeValueBounds: boolean;
    export const useFixedFrame: boolean;
    export const minAxisValue: number;
    export const maxAxisValue: number;
    import channelName = INTENSITY;
    export { channelName };
    export const useRainbow: boolean;
    export const invertRainbow: boolean;
    export const minColor: string;
    export const maxColor: string;
    export const autocomputeIntensityBounds: boolean;
    export const maxIntensity: number;
    export const minIntensity: number;
    export const selectable: boolean;
    import style = FLAT_SQUARES;
    export { style };
    export const size: number;
    export const alpha: number;
    export const decayTime: number;
    const queueSize_1: number;
    export { queueSize_1 as queueSize };
    const compression_1: string;
    export { compression_1 as compression };
    import colorTransformer = INTENSITY;
    export { colorTransformer };
    export const flatColor: string;
}
export namespace DEFAULT_OPTIONS_MAP {
    const alpha_1: number;
    export { alpha_1 as alpha };
    import colorScheme = MAP;
    export { colorScheme };
    const compression_2: string;
    export { compression_2 as compression };
    export const drawBehind: boolean;
}
export namespace DEFAULT_OPTIONS_MARKER {
    const queueSize_2: number;
    export { queueSize_2 as queueSize };
    export const namespaces: never[];
}
export namespace DEFAULT_OPTIONS_MARKERARRAY {
    const queueSize_3: number;
    export { queueSize_3 as queueSize };
    const namespaces_1: never[];
    export { namespaces_1 as namespaces };
    export const throttleRate: number;
}
export namespace DEFAULT_OPTIONS_INTERACTIVE_MARKER {
    const queueSize_4: number;
    export { queueSize_4 as queueSize };
    const namespaces_2: never[];
    export { namespaces_2 as namespaces };
    const throttleRate_1: number;
    export { throttleRate_1 as throttleRate };
    export const publishThrottleRate: number;
    export const hideOtherHandlesOnSelect: boolean;
    export const hideOtherControlsInstancesOnSelect: boolean;
}
export const DEFAULT_OPTIONS_ODOMETRY: {
    positionTolerance: number;
    angleTolerance: number;
    keep: number;
    arrowLength: number;
    axesLength: number;
    axesRadius: number;
    shaftLength: number;
    shaftRadius: number;
    headLength: number;
    headRadius: number;
    type: string;
    color: string;
    alpha: number;
};
export namespace DEFAULT_OPTIONS_PATH {
    export const color: string;
    const alpha_2: number;
    export { alpha_2 as alpha };
}
export const DEFAULT_OPTIONS_PLANNINGSCENE: {};
export namespace DEFAULT_OPTIONS_POINTCLOUD {
    const compression_3: string;
    export { compression_3 as compression };
    import colorChannel = RGB;
    export { colorChannel };
    const size_1: number;
    export { size_1 as size };
    const useRainbow_1: boolean;
    export { useRainbow_1 as useRainbow };
    const queueSize_5: number;
    export { queueSize_5 as queueSize };
}
export namespace DEFAULT_OPTIONS_POINT {
    const color_1: string;
    export { color_1 as color };
    const alpha_3: number;
    export { alpha_3 as alpha };
    export const radius: number;
}
export namespace DEFAULT_OPTIONS_POLYGON {
    const color_2: string;
    export { color_2 as color };
    const alpha_4: number;
    export { alpha_4 as alpha };
}
export const DEFAULT_OPTIONS_POSE: {
    type: string;
    axesLength: number;
    axesRadius: number;
    shaftLength: number;
    shaftRadius: number;
    headLength: number;
    headRadius: number;
    color: string;
    alpha: number;
};
export namespace DEFAULT_OPTIONS_TORUS {
    export const circleRadius: number;
    export const tube: number;
    export const radialSegments: number;
    export const tubularSegments: number;
    export const arc: number;
}
export namespace DEFAULT_OPTIONS_ARROW_WITH_CIRCLE {
    export const circleConeLength: number;
    export const circleConeRadius: number;
}
export const DEFAULT_OPTIONS_WRENCH: {
    type: string;
    circleConeLength: number;
    circleConeRadius: number;
    circleRadius: number;
    tube: number;
    radialSegments: number;
    tubularSegments: number;
    arc: number;
    shaftLength: number;
    shaftRadius: number;
    headLength: number;
    headRadius: number;
    forceColor: string;
    torqueColor: string;
    alpha: number;
    forceArrowScale: number;
    torqueArrowScale: number;
    arrowWidth: number;
};
export const DEFAULT_OPTIONS_POSEARRAY: {
    type: string;
    arrowLength: number;
    axesLength: number;
    axesRadius: number;
    shaftLength: number;
    shaftRadius: number;
    headLength: number;
    headRadius: number;
    color: string;
    alpha: number;
};
export namespace DEFAULT_OPTIONS_RANGE {
    export { DEFAULT_COLOR_X_AXIS as color };
    const alpha_5: number;
    export { alpha_5 as alpha };
}
export const DEFAULT_OPTIONS_ROBOTMODEL: {};
export const DEFAULT_OPTIONS_TF: {};
/** ***************************
 *   Zethus exports
 * ************************** */
export const SUPPORTED_MESSAGE_TYPES: string[];
export const UNSUPPORTED_MESSAGE_TYPES: string[];
import { Group } from "three/src/objects/Group";
declare namespace DEPTHCLOUD_STREAMTYPES {
    export const VP8: string;
    export const MJPEG: string;
}
export {};
